Update auto-renew for a domain
PATCH
https://api.vercel.com/v1/registrar/domains/{domain}/auto-renewUpdate the auto-renew setting for a domain
https://api.vercel.com/v1/registrar/domains/{domain}/auto-renew
const response = await fetch('https://api.vercel.com/v1/registrar/domains/domain/auto-renew?teamId=string', { method: 'PATCH', headers: { 'Authorization': 'Bearer YOUR_ACCESS_TOKEN', 'Content-Type': 'application/json', }, body: JSON.stringify({ "autoRenew": "true" }),});
const data = await response.json();console.log(data);Response
{}Errors
{ "status": "400", "code": "domain_already_renewing", "message": "string"}AuthorizationbearerToken
Default authentication mechanism
204Success
400There was something wrong with the request
404The domain was not found in our system.
429TooManyRequests